## org.eclipse.datatools.sqltools.routineeditor.ui.launching
Class ConnectionLevelOptionsTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.datatools.sqltools.routineeditor.ui.launching.ConnectionLevelOptionsTab

All Implemented Interfaces:
  RoutineLaunchConfigurationAttribute, org.eclipse.debug.ui.ILaunchConfigurationTab

    public class ConnectionLevelOptionsTab

extends org.eclipse.debug.ui.AbstractLaunchConfigurationTab
implements RoutineLaunchConfigurationAttribute

On this tab, user can configure the connection level options. By default, we check the "Use Default" radio box to let the user use default values in the preference store. If the user checks the "User customize" radio box, the options' values in the preference store will be copied for the first time.

Author:
  Dafan Yang

Field Summary
`static java.lang.String` `CONNECTION_LEVEL_OPTIONS_PAGE`

Fields inherited from interface org.eclipse.datatools.sqltools.routineeditor.launching.RoutineLaunchConfigurationAttribute
`ROUTINE_LAUNCH_CONFIGURATION_NAME, ROUTINE_LAUNCH_CONFIGURATION_NUM, ROUTINE_LAUNCH_CONFIGURATION_TYPE, ROUTINE_LAUNCH_DATABASENAME, ROUTINE_LAUNCH_EVENTPARAMS, ROUTINE_LAUNCH_EXTERNALID, ROUTINE_LAUNCH_OPTION_TYPE, ROUTINE_LAUNCH_PARAMETERS, ROUTINE_LAUNCH_PROCID, ROUTINE_LAUNCH_PROFILENAME, ROUTINE_LAUNCH_SQL, ROUTINE_LAUNCH_TYPE`

Constructor Summary
`ConnectionLevelOptionsTab()`

Method Summary
`void` `activated(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)`
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.graphics.Image` `getImage()`
`java.lang.String` `getName()`
`void` `initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`void` `performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab
`canSave, deactivated, dispose, getControl, getErrorMessage, getId, getMessage, isValid, launched, setLaunchConfigurationDialog`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONNECTION_LEVEL_OPTIONS_PAGE

    public static final java.lang.String CONNECTION_LEVEL_OPTIONS_PAGE

See Also:
  Constant Field Values

Constructor Detail

### ConnectionLevelOptionsTab

    public ConnectionLevelOptionsTab()

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createControl` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`

### setDefaults

    public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

  Specified by:
    `setDefaults` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`

### initializeFrom

    public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)

  Specified by:
    `initializeFrom` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`

### performApply

    public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

  Specified by:
    `performApply` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`

### activated

    public void activated(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy workingCopy)

  Specified by:
    `activated` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  Overrides:
    `activated` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### getImage

    public org.eclipse.swt.graphics.Image getImage()

  Specified by:
    `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  Overrides:
    `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`